Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.query.parser
Interface BoolExprTreeConstants

All Known Implementing Classes:
  BoolExprTree, BoolExprTreeTokenManager

    public interface BoolExprTreeConstants

Field Summary
`static int` | `AND`
`static int` | `CONTAINS`
`static int` | `DEFAULT`
`static int` | `EOF`
`static int` | `EQUAL`
`static int` | `GREATER_THAN`
`static int` | `LESS_THAN`
`static int` | `NAME`
`static int` | `NOT_EQUAL`
`static int` | `NUMBER`
`static int` | `OR`
`static int` | `PERIOD`
`static int` | `QUOTED_STRING`
`static int` | `STARTS_WITH`
`static java.lang.String[]` | `tokenImage`
`static int` | `WILDCARD`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### QUOTED_STRING

    static final int QUOTED_STRING

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### EQUAL

    static final int EQUAL

See Also:
  Constant Field Values

### NOT_EQUAL

    static final int NOT_EQUAL

See Also:
  Constant Field Values

### LESS_THAN

    static final int LESS_THAN

See Also:
  Constant Field Values

### GREATER_THAN

    static final int GREATER_THAN

See Also:
  Constant Field Values

### STARTS_WITH

    static final int STARTS_WITH

See Also:
  Constant Field Values

### CONTAINS

    static final int CONTAINS

See Also:
  Constant Field Values

### WILDCARD

    static final int WILDCARD

See Also:
  Constant Field Values

### PERIOD

    static final int PERIOD

See Also:
  Constant Field Values

### NAME

    static final int NAME

See Also:
  Constant Field Values

### NUMBER

    static final int NUMBER

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD